Returns whether a statement is definitely read only

- « SQLite3Stmt::paramCount

- SQLite3Stmt::reset »

- PHP Manual
- SQLite3Stmt
- Returns whether a statement is definitely read only

# SQLite3Stmt::readOnly

(PHP 5 >= 5.3.6, PHP 7, PHP 8)

SQLite3Stmt::readOnly — Returns whether a statement is definitely read only

### Description

public SQLite3Stmt::readOnly(): bool

Returns whether a statement is definitely read only. A statement is considered read only, if it makes no direct changes to the content of the database file. Note that user defined SQL functions might change the database indirectly as a side effect.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if a statement is definitely read only, `false` otherwise.